> For the complete documentation index, see [llms.txt](https://docs.usestencil.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.usestencil.com/api/endpoints/airtable.md).

# Airtable

## Get Airtable image generation status

<mark style="color:blue;">`GET`</mark> `https://api.usestencil.com/v1/airtables/:id`

#### Path Parameters

| Name                                 | Type   | Description      |
| ------------------------------------ | ------ | ---------------- |
| id<mark style="color:red;">\*</mark> | string | ID of the action |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "action_title": "Demo",
    "base_id": "appdxxxxx",
    "status": "Started",
    "table_name": "Demo",
    "view_name": null
}
```

{% endtab %}
{% endtabs %}

## Trigger Airtable image generation from the API

<mark style="color:green;">`POST`</mark> `https://api.usestencil.com/v1/airtables/:id`

#### Path Parameters

| Name                                 | Type   | Description      |
| ------------------------------------ | ------ | ---------------- |
| id<mark style="color:red;">\*</mark> | string | ID of the action |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "action_title": "Demo",
    "base_id": "appdxxxxx",
    "status": "Starting",
    "table_name": "Demo",
    "view_name": null
}
```

{% endtab %}
{% endtabs %}

### `status` field

|          | Description                                                                                      |
| -------- | ------------------------------------------------------------------------------------------------ |
| `null`   | Nothing is being generated. It Indicates that no job is running or the job has finished running. |
| Starting | Image generation is starting.                                                                    |
| Started  | Image generation is already started.                                                             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usestencil.com/api/endpoints/airtable.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
